Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.wml.dom
Class WMLInputElementImpl

    java.lang.Object
      weblogic.apache.xerces.dom.NodeImpl
          weblogic.apache.xerces.dom.ChildNode
              weblogic.apache.xerces.dom.ParentNode
                  weblogic.apache.xerces.dom.ElementImpl
                      weblogic.apache.wml.dom.WMLElementImpl
                          weblogic.apache.wml.dom.WMLInputElementImpl

All Implemented Interfaces:
  Serializable, Cloneable, Element, EventTarget, Node, NodeList, WMLElement, WMLInputElement

Deprecated. 9.2.0.0 Replaced by org.apache.wml.dom.WMLInputElementImpl.

    public class WMLInputElementImpl

extends WMLElementImpl
implements WMLInputElement

See Also:
  Serialized Form

Field Summary

Fields inherited from class weblogic.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class weblogic.apache.xerces.dom.ParentNode
`firstChild, fNodeListCache, ownerDocument`

Fields inherited from class weblogic.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class weblogic.apache.xerces.dom.NodeImpl
`ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, IDATTRIBUTE, IGNORABLEWS, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE, UNNORMALIZED`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`WMLInputElementImpl(WMLDocumentImpl owner, String tagName)` Deprecated.

Method Summary
`String` | `getClassName()` Deprecated.
`boolean` | `getEmptyOk()` Deprecated.
`String` | `getFormat()` Deprecated.
`String` | `getId()` Deprecated.
`int` | `getMaxLength()` Deprecated.
`String` | `getName()` Deprecated.
`int` | `getSize()` Deprecated.
`int` | `getTabIndex()` Deprecated.
`String` | `getTitle()` Deprecated.
`String` | `getType()` Deprecated.
`String` | `getValue()` Deprecated.
`String` | `getXmlLang()` Deprecated.
`void` | `setClassName(String newValue)` Deprecated. The 'class' attribute of a element that affiliates an elements with one or more elements.
`void` | `setEmptyOk(boolean newValue)` Deprecated. 'emptyok' specifies whether a empty input is allowed when a non-empty 'format' is specified.
`void` | `setFormat(String newValue)` Deprecated. 'format' specifies the input mask for user input.
`void` | `setId(String newValue)` Deprecated. The element's identifier which is unique in a single deck.
`void` | `setMaxLength(int newValue)` Deprecated. 'maxlength' specifies the maximum number of characters to be enter.
`void` | `setName(String newValue)` Deprecated. 'name' specifies the name of a variable after the user enters the text.
`void` | `setSize(int newValue)` Deprecated. 'size' specifies the width of the input in characters (Section 11.6.3, WAP WML Version 16-Jun-1999)
`void` | `setTabIndex(int newValue)` Deprecated. 'tabindex' specifies the tabbing position of the element (Section 11.6.1, WAP WML Version 16-Jun-1999)
`void` | `setTitle(String newValue)` Deprecated. 'title' specifies a title for this element (Section 11.6.3, WAP WML Version 16-Jun-1999)
`void` | `setType(String newValue)` Deprecated. 'type' specifies the type of text input area.
`void` | `setValue(String newValue)` Deprecated. 'value' specifies the default value of the variable in 'name' attribute (Section 11.6.3, WAP WML Version 16-Jun-1999)
`void` | `setXmlLang(String newValue)` Deprecated. 'xml:lang' specifics the natural or formal language in which the document is written.

Methods inherited from class weblogic.apache.xerces.dom.ElementImpl
`cloneNode, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getBaseURI, getDefaultAttributes, getElementsByTagName, getElementsByTagNameNS, getNodeName, getNodeType, getTagName, hasAttribute, hasAttributeNS, hasAttributes, isEqualNode, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttributeNode, setReadOnly, setupDefaultAttributes, setXercesAttributeNode, synchronizeData`

Methods inherited from class weblogic.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, getTextContent, hasChildNodes, insertBefore, item, removeChild, replaceChild, setTextContent, synchronizeChildren`

Methods inherited from class weblogic.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class weblogic.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, compareTreePosition, dispatchEvent, getBaseURI, getInterface, getLocalName, getNamespaceURI, getNodeName, getNodeValue, getPrefix, getReadOnly, getUserData, getUserData, hasAttributes, hasChildNodes, isDefaultNamespace, isSameNode, isSupported, lookupNamespacePrefix, lookupNamespaceURI, needsSyncChildren, removeChild, removeEventListener, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData, setUserData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Constructor Detail

### WMLInputElementImpl

    public WMLInputElementImpl(WMLDocumentImpl owner,
                               String tagName)

  Deprecated.

Method Detail

### setSize

    public void setSize(int newValue)

  Deprecated.
  Description copied from interface: `WMLInputElement`
  'size' specifies the width of the input in characters (Section 11.6.3, WAP WML Version 16-Jun-1999)

  Specified by:
    `setSize` in interface `WMLInputElement`

### getSize

    public int getSize()

  Deprecated.
  Specified by:
    `getSize` in interface `WMLInputElement`

### setFormat

    public void setFormat(String newValue)

  Deprecated.
  Description copied from interface: `WMLInputElement`
  'format' specifies the input mask for user input. (Section 11.6.3, WAP WML Version 16-Jun-1999)

  Specified by:
    `setFormat` in interface `WMLInputElement`

### getFormat

    public String getFormat()

  Deprecated.
  Specified by:
    `getFormat` in interface `WMLInputElement`

### setValue

    public void setValue(String newValue)

  Deprecated.
  Description copied from interface: `WMLInputElement`
  'value' specifies the default value of the variable in 'name' attribute (Section 11.6.3, WAP WML Version 16-Jun-1999)

  Specified by:
    `setValue` in interface `WMLInputElement`

### getValue

    public String getValue()

  Deprecated.
  Specified by:
    `getValue` in interface `WMLInputElement`

### setMaxLength

    public void setMaxLength(int newValue)

  Deprecated.
  Description copied from interface: `WMLInputElement`
  'maxlength' specifies the maximum number of characters to be enter. (Section 11.6.3, WAP WML Version 16-Jun-1999)

  Specified by:
    `setMaxLength` in interface `WMLInputElement`

### getMaxLength

    public int getMaxLength()

  Deprecated.
  Specified by:
    `getMaxLength` in interface `WMLInputElement`

### setTabIndex

    public void setTabIndex(int newValue)

  Deprecated.
  Description copied from interface: `WMLInputElement`
  'tabindex' specifies the tabbing position of the element (Section 11.6.1, WAP WML Version 16-Jun-1999)

  Specified by:
    `setTabIndex` in interface `WMLInputElement`

### getTabIndex

    public int getTabIndex()

  Deprecated.
  Specified by:
    `getTabIndex` in interface `WMLInputElement`

### setClassName

    public void setClassName(String newValue)

  Deprecated.
  Description copied from interface: `WMLElement`
  The 'class' attribute of a element that affiliates an elements with one or more elements. (Section 8.9, WAP WML Version 16-Jun-1999)

  Specified by:
    `setClassName` in interface `WMLElement`
  Overrides:
    `setClassName` in class `WMLElementImpl`

### getClassName

    public String getClassName()

  Deprecated.
  Specified by:
    `getClassName` in interface `WMLElement`
  Overrides:
    `getClassName` in class `WMLElementImpl`

### setXmlLang

    public void setXmlLang(String newValue)

  Deprecated.
  Description copied from interface: `WMLInputElement`
  'xml:lang' specifics the natural or formal language in which the document is written. (Section 8.8, WAP WML Version 16-Jun-1999)

  Specified by:
    `setXmlLang` in interface `WMLInputElement`
  Overrides:
    `setXmlLang` in class `WMLElementImpl`

### getXmlLang

    public String getXmlLang()

  Deprecated.
  Specified by:
    `getXmlLang` in interface `WMLInputElement`
  Overrides:
    `getXmlLang` in class `WMLElementImpl`

### setEmptyOk

    public void setEmptyOk(boolean newValue)

  Deprecated.
  Description copied from interface: `WMLInputElement`
  'emptyok' specifies whether a empty input is allowed when a non-empty 'format' is specified. Default to be 'false' (Section 11.6.3, WAP WML Version 16-Jun-1999)

  Specified by:
    `setEmptyOk` in interface `WMLInputElement`

### getEmptyOk

    public boolean getEmptyOk()

  Deprecated.
  Specified by:
    `getEmptyOk` in interface `WMLInputElement`

### setTitle

    public void setTitle(String newValue)

  Deprecated.
  Description copied from interface: `WMLInputElement`
  'title' specifies a title for this element (Section 11.6.3, WAP WML Version 16-Jun-1999)

  Specified by:
    `setTitle` in interface `WMLInputElement`

### getTitle

    public String getTitle()

  Deprecated.
  Specified by:
    `getTitle` in interface `WMLInputElement`

### setId

    public void setId(String newValue)

  Deprecated.
  Description copied from interface: `WMLElement`
  The element's identifier which is unique in a single deck. (Section 8.9, WAP WML Version 16-Jun-1999)

  Specified by:
    `setId` in interface `WMLElement`
  Overrides:
    `setId` in class `WMLElementImpl`

### getId

    public String getId()

  Deprecated.
  Specified by:
    `getId` in interface `WMLElement`
  Overrides:
    `getId` in class `WMLElementImpl`

### setType

    public void setType(String newValue)

  Deprecated.
  Description copied from interface: `WMLInputElement`
  'type' specifies the type of text input area. Two values are allowed: 'text' and 'password' and default is 'text' (Section 11.6.3, WAP WML Version 16-Jun-1999)

  Specified by:
    `setType` in interface `WMLInputElement`

### getType

    public String getType()

  Deprecated.
  Specified by:
    `getType` in interface `WMLInputElement`

### setName

    public void setName(String newValue)

  Deprecated.
  Description copied from interface: `WMLInputElement`
  'name' specifies the name of a variable after the user enters the text. (Section 11.6.3, WAP WML Version 16-Jun-1999)

  Specified by:
    `setName` in interface `WMLInputElement`

### getName

    public String getName()

  Deprecated.
  Specified by:
    `getName` in interface `WMLInputElement`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD